> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auto Top-Up Config

> Returns the current auto top-up configuration for a given receiver.

<Info>
  The `asset` parameter is the credit asset symbol — currently supported values are `usdc` and `eure`.
</Info>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator/auto-topup/config?receiver=0xRECEIVER'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator/auto-topup/config",
      params={"receiver": "0xRECEIVER"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator/auto-topup/config?receiver=0xRECEIVER"
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	resp, _ := http.Get("https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator/auto-topup/config?receiver=0xRECEIVER")
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "config": {
      "threshold": "500000000",
      "targetBalance": "1000000000",
      "healthFactor": "10000"
    }
  }
  ```
</ResponseExample>

<Tip>
  **Machine-readable API spec:** [OpenAPI JSON](https://api.sprinter.tech/swagger/doc.json) | [Swagger UI](https://api.sprinter.tech/swagger/index.html)
</Tip>


## OpenAPI

````yaml get /credit/v2/accounts/{account}/assets/{asset}/operator/auto-topup/config
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /credit/v2/accounts/{account}/assets/{asset}/operator/auto-topup/config:
    get:
      tags:
        - Credit
      summary: Get auto top-up config
      description: Returns the current auto top-up configuration for a given receiver.
      parameters:
        - description: User account address
          name: account
          in: path
          required: true
          schema:
            type: string
        - example: usdc
          description: Credit asset symbol (e.g. usdc, eure)
          name: asset
          in: path
          required: true
          schema:
            type: string
        - description: Receiver address to get config for
          name: receiver
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Auto top-up configuration
          content:
            application/json:
              schema:
                type: object
                required:
                  - config
                properties:
                  config:
                    type: object
                    required:
                      - threshold
                      - targetBalance
                      - healthFactor
                    properties:
                      threshold:
                        type: string
                        example: '500000000'
                      targetBalance:
                        type: string
                        example: '1000000000'
                      healthFactor:
                        type: string
                        example: '10000'

````